summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Michael Gabilondo <mgabilo{at}gmail{dot}com>2010-05-11 22:53:04 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:04 +0200
commit9fb4b41e870a2737af70f05821a87e7d7ea95ef9 (patch)
treef89123ee96da7a074a58c147a033127fbb3a1842 /academic
parente53931bc05250aa924b10dbc50bbc7b61cc8dbef (diff)
downloadslackbuilds-9fb4b41e870a2737af70f05821a87e7d7ea95ef9.tar.gz
slackbuilds-9fb4b41e870a2737af70f05821a87e7d7ea95ef9.tar.xz
academic/WordNet: Added to 12.1 repository
Diffstat (limited to 'academic')
-rw-r--r--academic/WordNet/README17
-rw-r--r--academic/WordNet/WordNet.SlackBuild72
-rw-r--r--academic/WordNet/WordNet.info8
-rw-r--r--academic/WordNet/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/academic/WordNet/README b/academic/WordNet/README
new file mode 100644
index 0000000000..fa8ad99e04
--- /dev/null
+++ b/academic/WordNet/README
@@ -0,0 +1,17 @@
+WordNet® is a large lexical database of English, developed under the
+direction of George A. Miller. Nouns, verbs, adjectives and adverbs are
+grouped into sets of cognitive synonyms (synsets), each expressing a
+distinct concept. Synsets are interlinked by means of conceptual-semantic
+and lexical relations. The resulting network of meaningfully related words
+and concepts can be navigated with the browser. WordNet is also freely
+and publicly available for download. WordNet's structure makes it a
+useful tool for computational linguistics and natural language processing.
+
+WordNet requires Tcl/Tk, which is included with Slackware 12.1.
+
+Since this package does not install to the default location, the WordNet
+browser (wnb) requires the enviornmental variable WNHOME=/usr to be set,
+so that it can find the database files. To do this for bash, you can add
+"export WNHOME=/usr" to the end of ~/.bashrc, without the quotes.
+
+
diff --git a/academic/WordNet/WordNet.SlackBuild b/academic/WordNet/WordNet.SlackBuild
new file mode 100644
index 0000000000..c5322135ab
--- /dev/null
+++ b/academic/WordNet/WordNet.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for WordNet
+
+# Written by Michael Gabilondo <mgabilo{at}gmail{dot}com>
+# This work is in the public domain
+
+PRGNAM=WordNet
+VERSION=${VERSION:-3.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/html doc/ps doc/pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/WordNet/WordNet.info b/academic/WordNet/WordNet.info
new file mode 100644
index 0000000000..00e1b91375
--- /dev/null
+++ b/academic/WordNet/WordNet.info
@@ -0,0 +1,8 @@
+PRGNAM="WordNet"
+VERSION="3.0"
+HOMEPAGE="http://wordnet.princeton.edu/"
+DOWNLOAD="http://wordnet.princeton.edu/3.0/WordNet-3.0.tar.gz"
+MD5SUM="8e96c6f6ba7763fab8143c16401ce24b"
+MAINTAINER="Michael Gabilondo"
+EMAIL="mgabilo{at}gmail{dot}com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/academic/WordNet/slack-desc b/academic/WordNet/slack-desc
new file mode 100644
index 0000000000..cbccdb80a4
--- /dev/null
+++ b/academic/WordNet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+WordNet: WordNet (large lexical database of English)
+WordNet: WordNet is a large lexical database of English, developed under the
+WordNet: direction of George A. Miller. Nouns, verbs, adjectives and adverbs
+WordNet: are grouped into sets of cognitive synonyms (synsets), each
+WordNet: expressing a distinct concept. Synsets are interlinked by means of
+WordNet: conceptual-semantic and lexical relations. The resulting network
+WordNet: of meaningfully related words and concepts can be navigated with the
+WordNet: browser. WordNet's structure makes it a useful tool for computational
+WordNet: linguistics and natural language processing.
+WordNet:
+WordNet: Homepage: http://wordnet.princeton.edu/